Package org.opensaml.saml.saml1.profile

# Class SAML1ObjectSupport

java.lang.Object
org.opensaml.saml.saml1.profile.SAML1ObjectSupport

public final class SAML1ObjectSupport extends Object
A helper class for working with SAMLObjects.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAML1ObjectSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`areNameIdentifierFormatsEquivalent(String format1, String format2)`
Return true iff the two input `NameIdentifier` formats are equivalent for SAML 1.x purposes.
`static boolean`
`areNameIdentifiersEquivalent(NameIdentifier name1, NameIdentifier name2)`
Return true iff the two input `NameIdentifier` objects are equivalent for SAML 1.x purposes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SAML1ObjectSupport

private SAML1ObjectSupport()
Constructor.

## Method Details

### areNameIdentifierFormatsEquivalent

public static boolean areNameIdentifierFormatsEquivalent(@Nullable String format1, @Nullable String format2)
Return true iff the two input `NameIdentifier` formats are equivalent for SAML 1.x purposes.

Parameters:
  `format1` - first format to check
  `format2` - second format to check
Returns:
  true iff the two format values should be viewed as equivalent

### areNameIdentifiersEquivalent

public static boolean areNameIdentifiersEquivalent(@Nonnull NameIdentifier name1, @Nonnull NameIdentifier name2)
Return true iff the two input `NameIdentifier` objects are equivalent for SAML 1.x purposes.

Parameters:
  `name1` - first NameIdentifier to check
  `name2` - second NameIdentifier to check
Returns:
  true iff the two values should be viewed as equivalent